<?php

namespace App\Modules\HR\Payroll\Providers;

use App\Core\Modules\ModuleServiceProvider;

class PayrollServiceProvider extends ModuleServiceProvider
{
    protected string $moduleName = 'Payroll';
    protected string $moduleSlug = 'payroll';
    protected string $modulePath;

    public function __construct($app)
    {
        parent::__construct($app);
        $this->modulePath = __DIR__ . '/..';
    }

    public function register(): void
    {
        parent::register();
    }

    public function boot(): void
    {
        parent::boot();
    }
}
